Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
QueueDatabase..::.InOrder Property
QueueDatabase Class See Also Send Feedback

If true, modify the operation of Consume(Boolean) to return key/data pairs in order. That is, they will always return the key/data item from the head of the queue.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public bool InOrder { get; }

Visual Basic (Declaration)
    Public ReadOnly Property InOrder As Boolean

Visual C++
    public:
    property bool InOrder {
    	bool get ();
    }

# See Also

QueueDatabase Class
BerkeleyDB Namespace